

I was holding my baby when my body started trembling. I put my sleeping baby down on a sofa and went to stretch out on the opposite sofa. I don't remember putting my head on the pillow. I think that I fainted at that moment.

I found myself in an underground structure. I was floating and facing a stone wall. The light went out and I decided to turn around to leave. I was hovering above dark souls who were floating close to the ground. In the distance, I saw stairs going up towards the surface. I was heading to the stairs but suddenly strong, aggressive rap music started playing and this slowed me down. At that moment, I saw a delivery person going up the stairs. I interpreted this scene, as another soul experiencing the same thing as myself, but that he was escaping.

I then decided to go to the right side. A floating, fluorescent-green eye appeared in front of me. I didn't know what to do. Then the eye started to move forward and I followed. I don't know why, but I told myself, 'Oh, that's the third eye', without even knowing before this experience what it was. The faster the eye moved, the more I became aware that I was advancing in a tunnel that was narrowing and getting darker. Suddenly, the eye stopped and everything was very black. For a moment, I started to fear I would remain stuck there forever.

Then an enormous, white light appeared in the whole space. Instinctively, I entered into the light and understood that my life on earth was ending and that I was facing my own death. I felt good, similar to the feeling of sliding into a warm bath. I was happy being there. I was aware that suffering stopped and that I never again would be suffering; this sensation is indescribable. I started to go deeper into the light, I 'talked' strongly through thought, and was telling him, 'If this is my time, I accept it'. The deeper I went, the more I became aware that I might not be able to come back. I was thinking of my children. I repeated my statement with a qualifier by saying 'If it's my time I accept it, but I have to take care of my children.' After the third time, I was like moving backwards and then opened my eyes. Deep down in my ear, I heard a kind of classical music, but it was a billion times more wonderful.

